package com.icomsys.main_vm.db.mybatis.mapper;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringConversationMarkVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface ConversationMarkMapper {
    List<HashMap> selectBookmarkList(MonitoringConversationMarkVO vo);

    int selectBookmarkListCnt(MonitoringConversationMarkVO vo);

    int insertBookmark(MonitoringConversationMarkVO vo);

    int updateBookmark(MonitoringConversationMarkVO vo);

    HashMap checkBookmarkCnt(MonitoringConversationMarkVO vo);
}
